org.flexdock.perspective.persist

## Interface PersistenceHandler

- All Known Implementing Classes:
    FilePersistenceHandler

      public interface PersistenceHandler

  Created on 2005-06-03
  Version:
    $Id: PersistenceHandler.java,v 1.5 2005-07-06 03:21:53 marius Exp $
  Author:
    Mateusz Szczap

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Persister` | `createDefaultPersister()`
    `PerspectiveModel` | `load(java.lang.String persistenceKey)`
    `boolean` | `store(java.lang.String persistenceKey, PerspectiveModel perspectiveModel)`

- - ### Method Detail

    - #### store

          boolean store(java.lang.String persistenceKey,
                      PerspectiveModel perspectiveModel)
                        throws java.io.IOException,
                               PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### load

          PerspectiveModel load(java.lang.String persistenceKey)
                                throws java.io.IOException,
                                       PersistenceException

      Throws:
        `java.io.IOException`
        `PersistenceException`

    - #### createDefaultPersister

          Persister createDefaultPersister()